Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Petri
Class PetriTransition

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SimpleNode
                  SEdit.Formalisms.Petri.PetriTransition

All Implemented Interfaces:
  PetriTransitionBehavior

    public class PetriTransition

extends SimpleNode
implements PetriTransitionBehavior

Field Summary

Fields inherited from class SEdit.SimpleNode
`inArrows, outArrows`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`PetriTransition()`

Method Summary
`java.lang.Object` | `getAction()`
`java.lang.String` | `getActionString()`
`java.lang.Object` | `getPredicate()`
`java.lang.String` | `getPredicateString()`
`void` | `goToSleep()`
`void` | `modifyAction()`
`void` | `modifyPredicate()`
`void` | `setActionString(java.lang.String s)`
`void` | `setPredicateString(java.lang.String s)`
`void` | `validate()`
`void` | `wakeUp()`

Methods inherited from class SEdit.SimpleNode
`addInArrow, addOutArrow, delete, deleteInArrow, deleteOutArrow, getInArrows, getInArrows, getOutArrows, getOutArrows, isConnectable, toString`

Methods inherited from class SEdit.SNode
`activate, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PetriTransition

    public PetriTransition()

Method Detail

### getPredicate

    public java.lang.Object getPredicate()

### getAction

    public java.lang.Object getAction()

### setActionString

    public void setActionString(java.lang.String s)

### getActionString

    public java.lang.String getActionString()

### setPredicateString

    public void setPredicateString(java.lang.String s)

### getPredicateString

    public java.lang.String getPredicateString()

### wakeUp

    public void wakeUp()

  Specified by:
    `wakeUp` in interface `PetriTransitionBehavior`

### goToSleep

    public void goToSleep()

  Specified by:
    `goToSleep` in interface `PetriTransitionBehavior`

### validate

    public void validate()

  Specified by:
    `validate` in interface `PetriTransitionBehavior`

### modifyPredicate

    public void modifyPredicate()

### modifyAction

    public void modifyAction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.